//
// © 2021 David Vines
//
// Creative Commons License
//
// This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
//
/* globals ROT */
/* exported Names */
var Names = {
	generator: new ROT.StringGenerator({prior:0}),
	init: function() {
		this.generator.observe("Abi");
		this.generator.observe("Akebono");
		this.generator.observe("Akinoshima");
		this.generator.observe("Akinoshū");
		this.generator.observe("Akiseyama");
		this.generator.observe("Akua");
		this.generator.observe("Amakaze");
		this.generator.observe("Amanoyama");
		this.generator.observe("Amatsukaze");
		this.generator.observe("Aminishiki");
		this.generator.observe("Amūru");
		this.generator.observe("Annenyama");
		this.generator.observe("Aobajō");
		this.generator.observe("Aobayama");
		this.generator.observe("Aogiyama");
		this.generator.observe("Aoiyama");
		this.generator.observe("Aonosato");
		this.generator.observe("Aotsurugi");
		this.generator.observe("Aran");
		this.generator.observe("Arase");
		this.generator.observe("Arashiyama");
		this.generator.observe("Arawashi");
		this.generator.observe("Asaarashi");
		this.generator.observe("Asahifuji");
		this.generator.observe("Asahikuni");
		this.generator.observe("Asahisato");
		this.generator.observe("Asahishō");
		this.generator.observe("Asahiyutaka");
		this.generator.observe("Asanobori");
		this.generator.observe("Asanosho");
		this.generator.observe("Asanowaka");
		this.generator.observe("Asanoyama");
		this.generator.observe("Asasegawa");
		this.generator.observe("Asasekiryū");
		this.generator.observe("Asashōryū");
		this.generator.observe("Asōfuji");
		this.generator.observe("Azumanishiki");
		this.generator.observe("Azumaryū");
		this.generator.observe("Banryūyama");
		this.generator.observe("Baruto");
		this.generator.observe("Bishūyama");
		this.generator.observe("Bushūyama");
		this.generator.observe("Buyūzan");
		this.generator.observe("Chikubayama");
		this.generator.observe("Chiyohakuhō");
		this.generator.observe("Chiyomaru");
		this.generator.observe("Chiyonofuji");
		this.generator.observe("Chiyonokuni");
		this.generator.observe("Chiyonoyama");
		this.generator.observe("Chiyoshōma");
		this.generator.observe("Chiyotaikai");
		this.generator.observe("Chiyotairyū");
		this.generator.observe("Chiyotenzan");
		this.generator.observe("Chiyozakura");
		this.generator.observe("Chiyoōtori");
		this.generator.observe("Daiamami");
		this.generator.observe("Daidō");
		this.generator.observe("Daieishō");
		this.generator.observe("Daigaku");
		this.generator.observe("Daigō");
		this.generator.observe("Daihi");
		this.generator.observe("Daiju");
		this.generator.observe("Daijuyama");
		this.generator.observe("Daikirin");
		this.generator.observe("Daimanazuru");
		this.generator.observe("Daimonji");
		this.generator.observe("Dairyugawa");
		this.generator.observe("Dairyū");
		this.generator.observe("Daishi");
		this.generator.observe("Daishochi");
		this.generator.observe("Daishōhō");
		this.generator.observe("Daishōhō");
		this.generator.observe("Daishōmaru");
		this.generator.observe("Daishōyama");
		this.generator.observe("Daitetsu");
		this.generator.observe("Daiyū");
		this.generator.observe("Daizen");
		this.generator.observe("Dejima");
		this.generator.observe("Dewaminato");
		this.generator.observe("Dewanishiki");
		this.generator.observe("Dewanohana");
		this.generator.observe("Enazakura");
		this.generator.observe("Endō");
		this.generator.observe("Enhō");
		this.generator.observe("Fujiazuma");
		this.generator.observe("Fujinishiki");
		this.generator.observe("Fujinokawa");
		this.generator.observe("Fujinoshin");
		this.generator.observe("Fujizakura");
		this.generator.observe("Fukunohana");
		this.generator.observe("Fusanishiki");
		this.generator.observe("Futabayama");
		this.generator.observe("Futagodake");
		this.generator.observe("Futagoryū");
		this.generator.observe("Futahaguro");
		this.generator.observe("Futatsuryū");
		this.generator.observe("Futen'ō");
		this.generator.observe("Ganyū");
		this.generator.observe("Gojōrō");
		this.generator.observe("Gōeidō");
		this.generator.observe("Hachiya");
		this.generator.observe("Hagurohana");
		this.generator.observe("Haguroiwa");
		this.generator.observe("Haguroyama");
		this.generator.observe("Hakuba");
		this.generator.observe("Hakuhō");
		this.generator.observe("Hakurozan");
		this.generator.observe("Hakuyozan");
		this.generator.observe("Hamanishiki");
		this.generator.observe("Hamanoshima");
		this.generator.observe("Hanahikari");
		this.generator.observe("Hanakaze");
		this.generator.observe("Hananosato");
		this.generator.observe("Hananokuni");
		this.generator.observe("Hananoumi");
		this.generator.observe("Harumafuji");
		this.generator.observe("Harunoyama");
		this.generator.observe("Hasegawa");
		this.generator.observe("Hattori");
		this.generator.observe("Hayateumi");
		this.generator.observe("Hibikiryū");
		this.generator.observe("Hidanohana");
		this.generator.observe("Hidenohana");
		this.generator.observe("Hidenokuni");
		this.generator.observe("Hidenoumi");
		this.generator.observe("Higonoumi");
		this.generator.observe("Hitachiyama");
		this.generator.observe("Hokuten'yū");
		this.generator.observe("Hokutoumi");
		this.generator.observe("Hokutōfuji");
		this.generator.observe("Hokutōriki");
		this.generator.observe("Homarefuji");
		this.generator.observe("Hoshiiwato");
		this.generator.observe("Hoshitango");
		this.generator.observe("Hō'ō");
		this.generator.observe("Hōchiyama");
		this.generator.observe("Hōmashō");
		this.generator.observe("Hōshōryū");
		this.generator.observe("Ichinojō");
		this.generator.observe("Ichinoya");
		this.generator.observe("Ikioi");
		this.generator.observe("Imafuku");
		this.generator.observe("Inazuma");
		this.generator.observe("Ishinriki");
		this.generator.observe("Ishiura");
		this.generator.observe("Itai");
		this.generator.observe("Iwakaze");
		this.generator.observe("Iwakiyama");
		this.generator.observe("Iwashita");
		this.generator.observe("Jingaku");
		this.generator.observe("Jinmaku");
		this.generator.observe("Jōkōryū");
		this.generator.observe("Jūmonji");
		this.generator.observe("Kagamisato");
		this.generator.observe("Kagamiō");
		this.generator.observe("Kagayaki");
		this.generator.observe("Kaidō");
		this.generator.observe("Kaihō");
		this.generator.observe("Kaiketsu");
		this.generator.observe("Kaiki");
		this.generator.observe("Kainoyama");
		this.generator.observe("Kairyūyama");
		this.generator.observe("Kaisei");
		this.generator.observe("Kaiō");
		this.generator.observe("Kakizoe");
		this.generator.observe("Kakuryū");
		this.generator.observe("Kanechika");
		this.generator.observe("Kanenohana");
		this.generator.observe("Kaneshiro");
		this.generator.observe("Kashiwado");
		this.generator.observe("Kasugafuji");
		this.generator.observe("Kasuganishiki");
		this.generator.observe("Kasugaō");
		this.generator.observe("Katayama");
		this.generator.observe("Katsuhikari");
		this.generator.observe("Kenkō");
		this.generator.observe("Kimikaze");
		this.generator.observe("Kiminishiki");
		this.generator.observe("Kimurayama");
		this.generator.observe("Kinkaiyama");
		this.generator.observe("Kinoarashi");
		this.generator.observe("Kiribayama");
		this.generator.observe("Kirinishiki");
		this.generator.observe("Kirinji");
		this.generator.observe("Kirinowaka");
		this.generator.observe("Kirishima");
		this.generator.observe("Kisenosato");
		this.generator.observe("Kitabayama");
		this.generator.observe("Kitaharima");
		this.generator.observe("Kitakachidoki");
		this.generator.observe("Kitanofuji");
		this.generator.observe("Kitanonada");
		this.generator.observe("Kitanoumi");
		this.generator.observe("Kitaseumi");
		this.generator.observe("Kitataiki");
		this.generator.observe("Kitazakura");
		this.generator.observe("Kiyokuni");
		this.generator.observe("Kiyonomori");
		this.generator.observe("Kiyoseumi");
		this.generator.observe("Koboyama");
		this.generator.observe("Kokkai");
		this.generator.observe("Komafudō");
		this.generator.observe("Kongō");
		this.generator.observe("Konishiki");
		this.generator.observe("Konuma");
		this.generator.observe("Kotobeppu");
		this.generator.observe("Kotochitose");
		this.generator.observe("Kotoeko");
		this.generator.observe("Kotofuji");
		this.generator.observe("Kotogahama");
		this.generator.observe("Kotogatake");
		this.generator.observe("Kotogaume");
		this.generator.observe("Kotoinazuma");
		this.generator.observe("Kotokasuga");
		this.generator.observe("Kotokaze");
		this.generator.observe("Kotomitsuki");
		this.generator.observe("Kotonishiki");
		this.generator.observe("Kotonofuji");
		this.generator.observe("Kotonowaka");
		this.generator.observe("Kotonowaka");
		this.generator.observe("Kotoryū");
		this.generator.observe("Kotoshōgiku");
		this.generator.observe("Kotoshōhō");
		this.generator.observe("Kototenzan");
		this.generator.observe("Kototsubaki");
		this.generator.observe("Kotoyūki");
		this.generator.observe("Kotozakura");
		this.generator.observe("Kotoōshū");
		this.generator.observe("Kurama");
		this.generator.observe("Kurohimeyama");
		this.generator.observe("Kurosegawa");
		this.generator.observe("Kushimaumi");
		this.generator.observe("Kyokudōzan");
		this.generator.observe("Kyokugōzan");
		this.generator.observe("Kyokunankai");
		this.generator.observe("Kyokushūhō");
		this.generator.observe("Kyokushūzan");
		this.generator.observe("Kyokutaisei");
		this.generator.observe("Kyokutenhō");
		this.generator.observe("Kyokutenzan");
		this.generator.observe("Kōbō");
		this.generator.observe("Kōryū");
		this.generator.observe("Kōtetsuyama");
		this.generator.observe("Maedagawa");
		this.generator.observe("Maedayama");
		this.generator.observe("Maenoshin");
		this.generator.observe("Maenoyama");
		this.generator.observe("Mainoumi");
		this.generator.observe("Maruyama");
		this.generator.observe("Masatsukasa");
		this.generator.observe("Masudayama");
		this.generator.observe("Masunoyama");
		this.generator.observe("Masurao");
		this.generator.observe("Matsunobori");
		this.generator.observe("Meisei");
		this.generator.observe("Midorifuji");
		this.generator.observe("Mienoumi");
		this.generator.observe("Minatofuji");
		this.generator.observe("Misugiiso");
		this.generator.observe("Misugisato");
		this.generator.observe("Mitakeumi");
		this.generator.observe("Mitoizumi");
		this.generator.observe("Mitoryū");
		this.generator.observe("Mitsuneyama");
		this.generator.observe("Miyabiyama");
		this.generator.observe("Miyagiyama");
		this.generator.observe("Musashimaru");
		this.generator.observe("Musōyama");
		this.generator.observe("Mutsuarashi");
		this.generator.observe("Myōbudani");
		this.generator.observe("Myōgiryū");
		this.generator.observe("Mōkonami");
		this.generator.observe("Naminohana");
		this.generator.observe("Nankairyu");
		this.generator.observe("Nayoroiwa");
		this.generator.observe("Niigiyama");
		this.generator.observe("Nishikigi");
		this.generator.observe("Oginishiki");
		this.generator.observe("Oginohana");
		this.generator.observe("Ohinode");
		this.generator.observe("Oikawa");
		this.generator.observe("Oiteyama");
		this.generator.observe("Okanoyama");
		this.generator.observe("Okinoumi");
		this.generator.observe("Osunaarashi");
		this.generator.observe("Raiden");
		this.generator.observe("Rikidōzan");
		this.generator.observe("Rikio");
		this.generator.observe("Rohō");
		this.generator.observe("Ryōgoku");
		this.generator.observe("Ryūden");
		this.generator.observe("Ryūhō");
		this.generator.observe("Ryūko");
		this.generator.observe("Ryūkō");
		this.generator.observe("Ryūkōzan");
		this.generator.observe("Ryūō");
		this.generator.observe("Sadanofuji");
		this.generator.observe("Sadanoumi");
		this.generator.observe("Sadanoyama");
		this.generator.observe("Saganohana");
		this.generator.observe("Sagatsukasa");
		this.generator.observe("Sakahoko");
		this.generator.observe("Sakaizawa");
		this.generator.observe("Sasshūnada");
		this.generator.observe("Satoyama");
		this.generator.observe("Sawahikari");
		this.generator.observe("Seirō");
		this.generator.observe("Sentōryū");
		this.generator.observe("Shikishima");
		this.generator.observe("Shimanoumi");
		this.generator.observe("Shimizugawa");
		this.generator.observe("Shimotori");
		this.generator.observe("Shiratayama");
		this.generator.observe("Shishihō");
		this.generator.observe("Shunketsu");
		this.generator.observe("Shōdai");
		this.generator.observe("Shōhōzan");
		this.generator.observe("Shōtenrō");
		this.generator.observe("Sōkokurai");
		this.generator.observe("Tagaryū");
		this.generator.observe("Taiga");
		this.generator.observe("Taihō");
		this.generator.observe("Taikō");
		this.generator.observe("Takagenji");
		this.generator.observe("Takakeishō");
		this.generator.observe("Takamisakari");
		this.generator.observe("Takamishu");
		this.generator.observe("Takamisugi");
		this.generator.observe("Takamiyama");
		this.generator.observe("Takanofuji");
		this.generator.observe("Takanohana");
		this.generator.observe("Takanoiwa");
		this.generator.observe("Takanomine");
		this.generator.observe("Takanonami");
		this.generator.observe("Takanosato");
		this.generator.observe("Takanoshō");
		this.generator.observe("Takanotsuru");
		this.generator.observe("Takanowaka");
		this.generator.observe("Takanoyama");
		this.generator.observe("Takarafuji");
		this.generator.observe("Takarakuni");
		this.generator.observe("Takatōriki");
		this.generator.observe("Takayasu");
		this.generator.observe("Takekaze");
		this.generator.observe("Tamaarashi");
		this.generator.observe("Tamaasuka");
		this.generator.observe("Tamakairiki");
		this.generator.observe("Tamakasuga");
		this.generator.observe("Tamakirin");
		this.generator.observe("Tamakiyama");
		this.generator.observe("Tamanishiki");
		this.generator.observe("Tamanofuji");
		this.generator.observe("Tamanoshima");
		this.generator.observe("Tamanoumi");
		this.generator.observe("Tamarikidō");
		this.generator.observe("Tamaryū");
		this.generator.observe("Tamawashi");
		this.generator.observe("Tatsuhikari");
		this.generator.observe("Tenkaihō");
		this.generator.observe("Tenryū");
		this.generator.observe("Tensuiyama");
		this.generator.observe("Terao");
		this.generator.observe("Terukuni");
		this.generator.observe("Terunofuji");
		this.generator.observe("Terunoumi");
		this.generator.observe("Terutsuyoshi");
		this.generator.observe("Teruzakura");
		this.generator.observe("Tobizaru");
		this.generator.observe("Tochiakagi");
		this.generator.observe("Tochiazuma");
		this.generator.observe("Tochifuji");
		this.generator.observe("Tochigiyama");
		this.generator.observe("Tochihikari");
		this.generator.observe("Tochiisami");
		this.generator.observe("Tochiizumi");
		this.generator.observe("Tochimatoi");
		this.generator.observe("Tochinishiki");
		this.generator.observe("Tochinohana");
		this.generator.observe("Tochinonada");
		this.generator.observe("Tochinoshin");
		this.generator.observe("Tochinoumi");
		this.generator.observe("Tochinowaka");
		this.generator.observe("Tochisakae");
		this.generator.observe("Tochitsukasa");
		this.generator.observe("Tochiōyama");
		this.generator.observe("Tochiōzan");
		this.generator.observe("Tokibayama");
		this.generator.observe("Tokitenkū");
		this.generator.observe("Tokitsunada");
		this.generator.observe("Tokitsuumi");
		this.generator.observe("Tokitsuyama");
		this.generator.observe("Tokusegawa");
		this.generator.observe("Tokushōryū");
		this.generator.observe("Tomoefuji");
		this.generator.observe("Tomokaze");
		this.generator.observe("Tomonohana");
		this.generator.observe("Tosanoumi");
		this.generator.observe("Tosayutaka");
		this.generator.observe("Towanoyama");
		this.generator.observe("Toyohibiki");
		this.generator.observe("Toyonishiki");
		this.generator.observe("Toyonobori");
		this.generator.observe("Toyonoshima");
		this.generator.observe("Toyonoumi");
		this.generator.observe("Toyozakura");
		this.generator.observe("Tsunenohana");
		this.generator.observe("Tsurugamine");
		this.generator.observe("Tsurugishō");
		this.generator.observe("Tōki");
		this.generator.observe("Tōryū");
		this.generator.observe("Udagawa");
		this.generator.observe("Umegatani");
		this.generator.observe("Ura");
		this.generator.observe("Ushiomaru");
		this.generator.observe("Wajima");
		this.generator.observe("Wakabayama");
		this.generator.observe("Wakachichibu");
		this.generator.observe("Wakafutase");
		this.generator.observe("Wakahaguro");
		this.generator.observe("Wakaichirō");
		this.generator.observe("Wakajishi");
		this.generator.observe("Wakakirin");
		this.generator.observe("Wakakoma");
		this.generator.observe("Wakakōyū");
		this.generator.observe("Wakamisugi");
		this.generator.observe("Wakamiyama");
		this.generator.observe("Wakanami");
		this.generator.observe("Wakanohana");
		this.generator.observe("Wakanohō");
		this.generator.observe("Wakanojō");
		this.generator.observe("Wakanokuni");
		this.generator.observe("Wakanosato");
		this.generator.observe("Wakanoyama");
		this.generator.observe("Wakasegawa");
		this.generator.observe("Wakashima");
		this.generator.observe("Wakashimazu");
		this.generator.observe("Wakashoyo");
		this.generator.observe("Wakasugiyama");
		this.generator.observe("Wakatakakage");
		this.generator.observe("Wakatenryū");
		this.generator.observe("Wakatoba");
		this.generator.observe("Wakatsutomu");
		this.generator.observe("Washūyama");
		this.generator.observe("Yago");
		this.generator.observe("Yamaguchi");
		this.generator.observe("Yamamotoyama");
		this.generator.observe("Yamato");
		this.generator.observe("Yoshiazuma");
		this.generator.observe("Yoshibayama");
		this.generator.observe("Yoshikaze");
		this.generator.observe("Yoshinohana");
		this.generator.observe("Yoshinotani");
		this.generator.observe("Yoshioyama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yōtsukasa");
		this.generator.observe("Zaōnishiki");
		this.generator.observe("Ōga");
		this.generator.observe("Ōikari");
		this.generator.observe("Ōnishiki");
		this.generator.observe("Ōnohana");
		this.generator.observe("Ōnokuni");
		this.generator.observe("Ōnoshō");
		this.generator.observe("Ōnoumi");
		this.generator.observe("Ōrora");
		this.generator.observe("Ōshio");
		this.generator.observe("Ōtsukasa");
		this.generator.observe("Ōuchiyama");
		this.generator.observe("Ōyutaka");
		this.generator.observe("Ōzutsu");
	},
	getAName: function() {
		let name;
		do {
			name = this.generator.generate();
		} while(name.length > 10);
		return name;
	}
};
